Bug 557392 - Review Request: ghc-parallel - Haskell parallel programming library
Review Request: ghc-parallel - Haskell parallel programming library
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rakesh Pandit
Fedora Extras Quality Assurance
:
Depends On:
Blocks: haskell-platform 555443
  Show dependency treegraph
 
Reported: 2010-01-21 05:12 EST by Jens Petersen
Modified: 2010-10-05 09:24 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-01-27 02:41:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rpandit: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jens Petersen 2010-01-21 05:12:11 EST
Spec URL: http://petersen.fedorapeople.org/ghc-parallel/ghc-parallel.spec
SRPM URL: http://petersen.fedorapeople.org/ghc-parallel/ghc-parallel-1.1.0.1-2.fc12.src.rpm
Description: Haskell parallel programming library

Part of haskell-platform
Comment 2 Rakesh Pandit 2010-01-24 06:30:18 EST
[+] Build - http://koji.fedoraproject.org/koji/taskinfo?taskID=1941092  - fine
[+] source ok
from srpm (sha1sum)

[rakesh@dhcp1-96 SPECS]$ sha1sum parallel-1.1.0.1.tar.gz 
39bcd5c8a896914c7ddc853049005a71a4eaabb6  parallel-1.1.0.1.tar.gz
[rakesh@dhcp1-96 SPECS]$ sha1sum ../SOURCES/parallel-1.1.0.1.tar.gz 
39bcd5c8a896914c7ddc853049005a71a4eaabb6  ../SOURCES/parallel-1.1.0.1.tar.gz

[+] name fine
[+] URL fine
[+] rpmlint - ok 

[rakesh@dhcp1-96 SPECS]$ rpmlint /home/rakesh/rpmbuild/SRPMS/ghc-parallel-1.1.0.1-2.fc13.src.rpm
ghc-parallel.src: W: spelling-error-in-summary en_US Haskell
ghc-parallel.src: W: spelling-error-in-description en_US Haskell
ghc-parallel.src: W: no-cleaning-of-buildroot %install
ghc-parallel.src: W: no-buildroot-tag
1 packages and 0 specfiles checked; 0 errors, 4 warnings.

Ignored.

[rakesh@dhcp1-96 SPECS]$ rpmlint /home/rakesh/rpmbuild/RPMS/i686/ghc-parallel-1.1.0.1-2.fc13.i686.rpm
ghc-parallel.i686: W: spelling-error-in-summary en_US Haskell
ghc-parallel.i686: W: spelling-error-in-description en_US Haskell
ghc-parallel.i686: W: unstripped-binary-or-object /usr/lib/ghc-6.12.1/parallel-1.1.0.1/libHSparallel-1.1.0.1-ghc6.12.1.so
ghc-parallel.i686: W: executable-stack /usr/lib/ghc-6.12.1/parallel-1.1.0.1/libHSparallel-1.1.0.1-ghc6.12.1.so
1 packages and 0 specfiles checked; 0 errors, 4 warnings.

Ignored.

[rakesh@dhcp1-96 SPECS]$ rpmlint /home/rakesh/rpmbuild/RPMS/i686/ghc-parallel-devel-1.1.0.1-2.fc13.i686.rpm
ghc-parallel-devel.i686: W: spelling-error-in-summary en_US Haskell
ghc-parallel-devel.i686: W: spelling-error-in-description en_US Haskell
ghc-parallel-devel.i686: W: no-documentation
1 packages and 0 specfiles checked; 0 errors, 3 warnings.

Ignored.

[rakesh@dhcp1-96 SPECS]$ rpmlint /home/rakesh/rpmbuild/RPMS/i686/ghc-parallel-doc-1.1.0.1-2.fc13.i686.rpm
ghc-parallel-doc.i686: W: spelling-error-in-summary en_US Haskell
ghc-parallel-doc.i686: W: spelling-error-in-description en_US Haskell
1 packages and 0 specfiles checked; 0 errors, 2 warnings.

Ignored.

[rakesh@dhcp1-96 SPECS]$ rpmlint /home/rakesh/rpmbuild/RPMS/i686/ghc-parallel-prof-1.1.0.1-2.fc13.i686.rpm
ghc-parallel-prof.i686: E: devel-dependency ghc-parallel-devel
ghc-parallel-prof.i686: W: spelling-error-in-summary en_US Haskell
ghc-parallel-prof.i686: W: spelling-error-in-description en_US Haskell
ghc-parallel-prof.i686: W: no-documentation
ghc-parallel-prof.i686: W: devel-file-in-non-devel-package /usr/lib/ghc-6.12.1/parallel-1.1.0.1/libHSparallel-1.1.0.1_p.a
1 packages and 0 specfiles checked; 1 errors, 4 warnings.

Ignored.
[+] spec name fine
[+] license ok (copy present) and source has marking
[+] source tree ok (no binaries present)
[+] archs - fine
[+] spec file legible and in american english
[+] BR's ok
[+] %files ok
[+] folders owned - ok

main
/usr/lib/ghc-6.12.1/parallel-1.1.0.1
/usr/share/doc/ghc-parallel-1.1.0.1
devel
/usr/lib/ghc-6.12.1/parallel-1.1.0.1
/usr/lib/ghc-6.12.1/parallel-1.1.0.1/Control
doc
/usr/share/doc/ghc/html/libraries/parallel-1.1.0.1

[+] source builds fine on fedora ghc archs
[+] no bundled dependencies
[+] %clean section ok
[+] filenames - ok (valid)
[+] profiling ok
[+] lib goes to %{_libdir}/ghc-%{ghc_version}/%{pkg_name}-%{version}
[+] new macros

APPROVED

Thanks,
Comment 3 Jens Petersen 2010-01-24 19:36:55 EST
Thank you


New Package CVS Request
=======================
Package Name: ghc-parallel
Short Description: Haskell parallel programming library
Owners: petersen
Branches: devel
InitialCC: haskell-sig
Comment 4 Jason Tibbitts 2010-01-27 00:21:54 EST
CVS done (by process-cvs-requests.py).
Comment 5 Jens Petersen 2010-01-27 02:40:25 EST
Thank you.

Final package import to build new haskell-platform done. :)

http://koji.fedoraproject.org/koji/taskinfo?taskID=1947291
Comment 6 Jens Petersen 2010-10-05 00:40:40 EDT
Package Change Request
======================
Package Name: ghc-parallel
New Branches: el6
Owners: petersen
InitialCC: haskell-sig
Comment 7 Jason Tibbitts 2010-10-05 09:24:20 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.